<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop Enterprise 2.7.1                                     ***
  ***      File:  admin_country.php                                        ***
  ***      Built: Wed Sep 20 13:19:51 2006                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("static_tables");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_country.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_lookup_tables_href", "admin_lookup_tables.php");
	$t->set_var("admin_countries_href", "admin_countries.php");
	$t->set_var("admin_country_href", "admin_country.php");

	$sp = get_param("sp");
	$sort_ord = get_param("sort_ord");
	$sort_dir = get_param("sort_dir");
	$page = get_param("page");

	$r = new VA_Record($table_prefix . "countries");
	$r->return_page = "admin_countries.php?sort_ord=".urlencode($sort_ord)."&sort_dir=".urlencode($sort_dir)."&page=".urlencode($page)."&sp=".urlencode($sp);

	$r->add_where("country_code", TEXT);
	$r->add_textbox("country_order", INTEGER, "Order");

	$r->add_textbox("country_code_edit", TEXT, "Country Code");
	$r->parameters["country_code_edit"][COLUMN_NAME] = "country_code";
	$r->parameters["country_code_edit"][REQUIRED] = true;
	$r->parameters["country_code_edit"][UNIQUE] = true;
	$r->add_textbox("country_iso_number", TEXT, "ISO Number");
	$r->change_property("country_iso_number", REQUIRED, true);
	$r->change_property("country_iso_number", UNIQUE, true);
	$r->change_property("country_iso_number", REGEXP_MASK, "/\\d+/");

	$currencies = get_db_values("SELECT currency_code,currency_title FROM " . $table_prefix . "currencies", array(array("", "")));
	$r->add_select("currency_code", TEXT, $currencies, "Currency Code");
	$r->add_textbox("country_name", TEXT, "Country Name");
	$r->change_property("country_name", REQUIRED, true);

	$r->process();

	$t->set_var("sp", htmlspecialchars($sp));
	$t->set_var("sort_ord", htmlspecialchars($sort_ord));
	$t->set_var("sort_dir", htmlspecialchars($sort_dir));
	$t->set_var("page", htmlspecialchars($page));

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>
