<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop Enterprise 2.7.1                                     ***
  ***      File:  admin_issue_number.php                                   ***
  ***      Built: Wed Sep 20 13:19:51 2006                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("static_tables");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_issue_number.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_lookup_tables_href", "admin_lookup_tables.php");
	$t->set_var("admin_issue_numbers_href", "admin_issue_numbers.php");
	$t->set_var("admin_issue_number_href", "admin_issue_number.php");

	$r = new VA_Record($table_prefix . "issue_numbers");
	$r->return_page = "admin_issue_numbers.php";

	$r->add_where("issue_number", INTEGER);

	$r->add_textbox("issue_number_edit", INTEGER, "Issue Number");
	$r->change_property("issue_number_edit", COLUMN_NAME, "issue_number");
	$r->change_property("issue_number_edit", REQUIRED, true);
	$r->change_property("issue_number_edit", UNIQUE, true);

	$r->process();


	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>
