<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop Enterprise 2.7.1                                     ***
  ***      File:  admin_upload.php                                         ***
  ***      Built: Wed Sep 20 13:19:51 2006                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");

	check_admin_security("products_categories");

	$t = new VA_Template($settings["admin_templates_dir"]);
	$t->set_file("main","admin_upload.html");

	$t->set_var("admin_select_href", "admin_select.php");
	$t->set_var("admin_upload_href", "admin_upload.php");

	$filetype = get_param("filetype");
	$image_index = get_param("image_index");
	$t->set_var("image_index", $image_index);
	$operation = get_param("operation");
	$current_index = 0;

	$errors = "";

	if($operation == "1")
	{
		//BEGIN Image Resizing changes
		$resize_small_image = get_param("resize_small_image");
		$resize_big_image = get_param("resize_big_image");
		$resize_super_image = get_param("resize_super_image");
		$is_generate_small_image = get_param("is_generate_small_image");
		$is_generate_big_image = get_param("is_generate_big_image");
		$sql = " UPDATE " . $table_prefix . "admins SET is_generate_small_image=" . $db->tosql($is_generate_small_image, INTEGER);
		$sql .= ",is_generate_big_image=" . $db->tosql($is_generate_big_image, INTEGER);
		$sql .= " WHERE admin_id=" . $db->tosql(get_session("session_admin_id"), INTEGER);
		$db->query($sql);
		//END Image Resizing changes

		if (isset($_FILES)) {
			$tmp_name = $_FILES["newfile"]["tmp_name"];
			$filename = $_FILES["newfile"]["name"];
			$filesize = $_FILES["newfile"]["size"];
			$upload_error = isset($_FILES["newfile"]["error"]) ? $_FILES["newfile"]["error"] : "";
		} else {
			$tmp_name = $HTTP_POST_FILES["newfile"]["tmp_name"];
			$filename = $HTTP_POST_FILES["newfile"]["name"];
			$filesize = $HTTP_POST_FILES["newfile"]["size"];
			$upload_error = isset($HTTP_POST_FILES["newfile"]["error"]) ? $HTTP_POST_FILES["newfile"]["error"] : "";
		}

		if ($upload_error == 1) {
			$errors = "The uploaded file exceeds the max filesize directive.";
		} else if ($upload_error == 2) {
			$errors = "The uploaded file exceeds the max filesize parameter.";
		} else if ($upload_error == 3) {
			$errors = "The uploaded file was only partially uploaded.";
		} else if ($upload_error == 4) {
			$errors = "No file was uploaded.";
		} else if ($upload_error == 6) {
			$errors = "Missing a temporary folder.";
		} else if ($upload_error == 7) {
			$errors = "Failed to write file to disk.";
		} else if ($tmp_name == "none" || !strlen($tmp_name)) {
			$errors = "No file was uploaded.";
		} else if (!(preg_match("/((.gif)|(.jpg)|(.jpeg)|(.bmp)|(.tiff)|(.tif)|(.png)|(.ico)|(.doc)|(.txt)|(.rtf)|(.pdf)|(.swf))$/i", $filename)) ) {
			$errors = "Only images files allowed.";
		}

		if(!strlen($errors))
		{
			if ($filetype == "small_image" || $filetype == "article_small") {
				$filepath = "../images/small/";
			} else if($filetype == "big_image" || $filetype == "article_large") {
				$filepath = "../images/big/";
			} else if($filetype == "super_image") {
				$filepath = "../images/super/";
			} else if($filetype == "category" || $filetype == "category_small") {
				$filepath = "../images/categories/";
			} else if($filetype == "category_large") {
				$filepath = "../images/categories/large/";
			} else if($filetype == "company_small" || $filetype == "company_large") {
				$filepath = "../images/companies/";
			} else if($filetype == "document") {
				$filepath = "../images/documents/";
			} else if($filetype == "ad_small") {
				$filepath = "../images/ads/small/";
			} else if($filetype == "ad_large") {
				$filepath = "../images/ads/large/";
			} else if($filetype == "forum_small") {
				$filepath = "../images/forum/small/";
			} else if($filetype == "forum_large") {
				$filepath = "../images/forum/large/";
			} else if($filetype == "banner") {
				$filepath = "../images/bnrs/";
			} else if($filetype == "personal") {
				$filepath = "../images/users/";
			} else {
				$filepath = "../images/";
			}

      $filename = check_file_exists($filepath, $filename);
			if(!@move_uploaded_file($tmp_name, $filepath . $filename))
      {
				   if (!is_dir($filepath))
           {
					    $errors = "The folder '" . $filepath . "' doesn't exist.";
					 }
           else if (!is_writable($filepath))
           {
					    $errors = str_replace("{folder_name}", $filepath, FOLDER_PERMISSION_MESSAGE);
					 }
           else
           {
					    $errors = "System can't create the file <b>" . $filepath . $filename . "</b>";
					 }
			}
      else
      {
				chmod($filepath . $filename, 0766);

				   $t->set_var("filename", $filename);
				   $t->set_var("generate_small", $is_generate_small_image);
				   $t->set_var("generate_big", $is_generate_big_image);
				   $errors = "";
				   $gd_loaded = true;
           if ($is_generate_small_image || $resize_small_image)
           {
              $small_width = get_setting_value($settings, "small_image_max_width", 100);
              $small_height = get_setting_value($settings, "small_image_max_height", 100);
              $format = strtolower(substr(strrchr($filename,"."),1));
				      $dest = "../images/small/".$filename;
              $origin = $filepath.$filename;
              if (!function_exists("gd_info"))
              {
                 if ($resize_small_image)
                    $errors .= "Image resizing failed:<br>";
                 else
                    $errors .= "Image generation failed:<br>";
						     $errors .= "GD library isn't loaded.<br>";
						     $gd_loaded = false;
              }
              else
              {
				         if(!@resize($format, $origin, $dest, $small_width, $small_height))
                 {
                    if ($resize_small_image)
                       $errors .= "Small image resizing failed:<br>";
                    else
                       $errors .= "Small image generation failed:<br>";
					          if (!is_dir("../images/small/"))
                    {
						           $errors .= "The folder '../images/small/' doesn't exist.";
					          }
                    else if (!is_writable('../images/small/'))
                    {
						           $errors .= str_replace("{folder_name}", '../images/small/', FOLDER_PERMISSION_MESSAGE);
					          }
                    else
                    {
						           $errors .= "Image format '.".$format."' is not supported by GD library";
					          }
				        } else {
									chmod($dest, 0766);
								}
				     }
           }
           if ($is_generate_big_image || $resize_big_image)
           {
              $big_width = get_setting_value($settings, "big_image_max_width", 300);
              $big_height = get_setting_value($settings, "big_image_max_height", 300);
              $format = strtolower(substr(strrchr($filename,"."),1));
				      $dest = "../images/big/".$filename;
              $origin = $filepath.$filename;
              if (!function_exists("gd_info"))
              {
                 if ($gd_loaded)
                 {
                    if ($resize_big_image)
                       $errors .= "<br>Image resizing failed:<br>";
                    else
                       $errors .= "<br>Image generation failed:<br>";
						        $errors .= "GD library isn't loaded.<br>";
					          $gd_loaded = false;
                 }
              }
              else
              {
				         if(!@resize($format, $origin, $dest, $big_width, $big_height))
                 {
                    if ($resize_big_image)
                       $errors .= "<br>Big image resizing failed:<br>";
                    else
                       $errors .= "<br>Big image generation failed:<br>";
					          if (!is_dir("../images/big/"))
                    {
						           $errors .= "The folder '../images/big/' doesn't exist.";
					          }
                    else if (!is_writable('../images/big/'))
                    {
						           $errors .= str_replace("{folder_name}", '../images/big/', FOLDER_PERMISSION_MESSAGE);
					          }
                    else
                    {
						           $errors .= "Image format '.".$format."' is not supported by GD library";
					          }
								} else {
									chmod($dest, 0766);
								}
				     }
           }
           if ($resize_super_image)
           {
              $super_width = get_setting_value($settings, "super_image_max_width", 1024);
              $super_height = get_setting_value($settings, "super_image_max_height", 768);
              $format = strtolower(substr(strrchr($filename,"."),1));
				      $dest = "../images/super/".$filename;
              $origin = $filepath.$filename;
              if (!function_exists("gd_info"))
              {
                 if ($gd_loaded)
                 {
                    $errors .= "<br>Image resizing failed:<br>";
						        $errors .= "GD library isn't loaded.<br>";
                 }
              }
              else
              {
				         if(!@resize($format, $origin, $dest, $super_width, $super_height))
                 {
                    $errors .= "<br>Super image resizing failed:<br>";
					          if (!is_dir("../images/super/"))
                    {
						           $errors .= "The folder '../images/super/' doesn't exist.";
					          }
                    else if (!is_writable('../images/super/'))
                    {
						           $errors .= str_replace("{folder_name}", '../images/super/', FOLDER_PERMISSION_MESSAGE);
					          }
                    else
                    {
						           $errors .= "Image format '.".$format."' is not supported by GD library";
					          }
				        } else {
									chmod($dest, 0766);
								}
				     }
           }
				}
		}
	}
	
	

	if(strlen($errors))
	{
		$t->set_var("after_upload", "");
		$t->set_var("errors_list", $errors);
		$t->parse("errors", false);
	}
	else
	{
		$t->set_var("errors", "");
	}

	$t->set_var("filetype", $filetype);

	if($operation == "1" && !strlen($errors))
	{
		$t->set_var("before_upload", "");
		$t->parse("after_upload", false);
	}
	else
	{
     if ($filetype == "small_image")
     {
        $resize_small_image = get_setting_value($settings, "resize_small_image", 0);
		    if ($resize_small_image)
           $t->set_var("resize_small_image", $resize_small_image);
        else
           $t->set_var("resize_small_image", "");
     }
     else if ($filetype == "big_image")
     {
        $resize_big_image = get_setting_value($settings, "resize_big_image", 0);
		    if ($resize_big_image)
           $t->set_var("resize_big_image", $resize_big_image);
        else
           $t->set_var("resize_big_image", "");

        $sql  = " SELECT is_generate_small_image FROM " . $table_prefix . "admins WHERE admin_id=" . $db->tosql(get_session("session_admin_id"), INTEGER);
		    $is_generate_small = get_db_value($sql);
		    if ($is_generate_small)
           $t->set_var("is_generate_small_image", 'checked="checked"');
        else
           $t->set_var("is_generate_small_image", "");
        $t->parse("generate_small_image", false);
     }
     else if ($filetype == "super_image")
     {
        $resize_super_image = get_setting_value($settings, "resize_super_image", 0);
		    if ($resize_super_image)
           $t->set_var("resize_super_image", $resize_super_image);
        else
           $t->set_var("resize_super_image", "");

        $sql  = " SELECT is_generate_small_image, is_generate_big_image FROM " . $table_prefix . "admins WHERE admin_id=" . $db->tosql(get_session("session_admin_id"), INTEGER);
        $db->query($sql);
        if ($db->next_record())
        {
		       $is_generate_small = $db->f("is_generate_small_image");
		       $is_generate_big = $db->f("is_generate_big_image");
        }
		    if ($is_generate_small)
           $t->set_var("is_generate_small_image", 'checked="checked"');
        else
           $t->set_var("is_generate_small_image", "");
		    if ($is_generate_big)
           $t->set_var("is_generate_big_image", 'checked="checked"');
        else
           $t->set_var("is_generate_big_image", "");
        $t->parse("generate_small_image", false);
        $t->parse("generate_big_image", false);
     }
		 $t->parse("before_upload", false);
		 $t->set_var("after_upload", "");
	}

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");
	
	
function resize($format, $filename, $dest, $width, $height)
{
  switch($format)
  {
   case 'gif' :
   $type ="gif";
   $img = imagecreatefromgif($filename);
   break;
   case 'png' :
   $type ="png";
   $img = imagecreatefrompng($filename);
   break;
   case 'jpg' :
   $type ="jpg";
   $img = imagecreatefromjpeg($filename);
   break;
   case 'jpeg' :
   $type ="jpg";
   $img = imagecreatefromjpeg($filename);
   break;
   default :
   return false;
   break;
  }
  
  list($width_orig, $height_orig) = getimagesize($filename);
  // Get new dimensions
  if ($width && ($width_orig < $height_orig))
  {
     if ($height < $height_orig)
        $width = ($height / $height_orig) * $width_orig;
     else
     {
        $width = $width_orig;
        $height = $height_orig;
     }
  }
  else
  {
     if ($width < $width_orig)
        $height = ($width / $width_orig) * $height_orig;
     else
     {
        $width = $width_orig;
        $height = $height_orig;
     }
  }

  $img_n=imagecreatetruecolor ($width, $height);
  $width = round($width);
  $height = round($height);
  imagecopyresampled($img_n, $img, 0, 0, 0, 0, $width, $height, $width_orig, $height_orig);

  if($type=="gif")
  {
   imagegif($img_n, $dest);
  }
  elseif($type=="jpg")
  {
   imagejpeg($img_n, $dest);
  }
  elseif($type=="png")
  {
   imagepng($img_n, $dest);
  }
  return true;
}

function check_file_exists($filepath, $filename)
{
   $everything_ok = false;
   global $current_index;
   $new_filename = $filename;
   while (!$everything_ok)
   {
      if(file_exists($filepath . $new_filename))
      {
         $new_filename = get_new_file_name ($filepath, $filename);
	    }
	    else
	    {
         if ($filepath == "../images/small/" || $filepath == "../images/big/" || $filepath == "../images/super/")
         {
            if(file_exists("../images/small/" . $new_filename))
            {
               $new_filename = get_new_file_name ("../images/small/", $filename);
            }
            else if(file_exists("../images/big/" . $new_filename))
            {
               $new_filename = get_new_file_name ("../images/big/", $filename);
            }
            else if(file_exists("../images/super/" . $new_filename))
            {
               $new_filename = get_new_file_name ("../images/super/", $filename);
            }
            else
            {
               $everything_ok = true;
            }
         }
         else
         {
            $everything_ok = true;
         }
	    }
   }
   return $new_filename;
}

function get_new_file_name ($filepath, $filename)
{
   global $current_index;
   $new_filename = $filename;
   while (file_exists($filepath . $new_filename))
   {
      $current_index++;
      $delimiter_pos = strpos($filename, ".");
      if($delimiter_pos)
      {
         $new_filename = substr($filename, 0, $delimiter_pos) . "_" . $current_index . substr($filename, $delimiter_pos);
      }
      else
      {
         $new_filename = $index . "_" . $filename;
      }
   }
   return $new_filename;
}

?>