<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***      ViArt Shop Enterprise 2.7.1                                     ***
  ***      File:  cart_messages.php                                        ***
  ***      Built: Wed Sep 20 13:19:51 2006                                 ***
  ***      http://www.viart.com                                            ***
  ***                                                                      ***
  ****************************************************************************
*/


	// cart messages
	define("CART_TITLE", "Shopping Cart");
	define("SMALL_CART_TITLE", "Your Cart");
	define("PRODUCTS_TITLE", "Products");
	define("RELATED_PRODUCTS_TITLE", "Related Products");
	define("TOP_SELLERS_TITLE", "Top Sellers");
	define("PRODUCTS_RECOMMENDED_TITLE", "Recommended Products");
	define("CHECKOUT_LOGIN_TITLE", "Checkout :: Login");
	define("CHECKOUT_INFO_TITLE", "Checkout :: Personal Information");
	define("CHECKOUT_PAYMENT_TITLE", "Checkout :: Payment Details");
	define("CHECKOUT_CONFIRM_TITLE", "Checkout :: Confirmation");
	define("CHECKOUT_FINAL_TITLE", "Checkout :: Final");
	define("RELEASES_TITLE", "Releases");
	define("CHANGES_LOG_TITLE", "Changes Log");
	define("COMPARE_TITLE", "Products Comparison");

	define("PRODUCT_MSG", "Product");
	define("PRICE_MSG", "Price");
	define("OUR_PRICE_MSG", "Our Price");
	define("YOU_SAVE_MSG", "You Save");
	define("PROD_OPTIONS_MSG", "Options");
	define("PROD_SUBCOMPONENTS_MSG", "Subcomponents");
	define("PROD_AVAILABILITY_MSG", "Availability");
	define("PROD_HIGHLIGHT_MSG", "Highlights");
	define("PROD_SUPER_IMAGE_MSG", "Click Here for Larger Image");
	define("PROD_PREVIEW_MSG", "Preview");
	define("PROD_PREVIEW_CLICK_MSG", "Click here to see preview");
	define("PROD_DESCRIPTION_MSG", "Description");
	define("PROD_SPECIFICATION_MSG", "Specification");
	define("PROD_IMAGES_MSG", "Images");
	define("PROD_ACCESSORIES_MSG", "Accessories");
	define("PROD_NOTE_MSG", "Note");
	define("PROD_SHIPPING_MSG", "Shipping");
	define("PROD_WEIGHT_MSG", "Weight");
	define("PROD_DOWNLOAD_COLUMN", "Links");
	define("PROD_TITLE_COLUMN", "Product");
	define("PROD_CODE_MSG", "Code");
	define("PROD_QTY_COLUMN", "Qty");
	define("PROD_PRICE_COLUMN", "Price");
	define("PROD_TOTAL_COLUMN", "Total");
	define("PROD_TAX_TOTAL_COLUMN", "Total");
	define("GOODS_TOTAL_MSG", "Goods Total");
	define("TOTAL_DISCOUNT_MSG", "Total Discount");
	define("GOODS_WITH_DISCOUNT_MSG", "Goods Cost after Discounts");
	define("SHIPPING_TRACKING_MSG", "Shipping Tracking Number");
	define("SHIPPING_EXPECTING_MSG", "Shipping Expecting Date");
	define("PROCESSING_FEE_MSG", "Processing Fee");

	define("CART_TOTAL_MSG", "Total Order Cost");
	define("CONTINUE_SHOPPING_MSG", "Continue Shopping");
	define("REMOVE_FROM_CART_MSG", "Remove");
	define("EMPTY_CART_MSG", "Your shopping cart is empty!");
	define("CLEAR_CART_MSG", "Clear the Cart");
	define("ADD_TO_CART_MSG", "Add to Cart");
	define("VIEW_CART_MSG", "View Cart");
	define("AMEND_CART_MSG", "Amend Cart");
	define("GOTO_CHECKOUT_MSG", "Check out");
	define("CHECKOUT_WITHOUT_MSG", "Check out without creating account");
	define("OPEN_AND_CHECKOUT_MSG", "Open account and check out");
	define("REMOVE_FROM_CART_JS", "Are you sure you want remove this {item_type} from your Shopping Cart?");
	define("CLEAR_CART_JS", "Are you sure you want remove all products from your Shopping Cart?");
	define("CART_QTY_ZERO_JS", "You are about to change the quantity from '{old_quantity}' to '0'.\\nThis will remove '{product_name}' from your cart.\\nContinue?");
	define("ALTER_CART_QTY_JS", "You are about to alter the quantity of \\n'{product_name}' from '{old_quantity}' to '{new_quantity}'\\nContinue?");
	define("ADD_PRODUCT_MSG", "Add this product to your Shopping Cart?");
	define("PRODUCT_OUT_STOCK_MSG", "Sorry, but you can't buy this product as it is currently out of stock.");
	define("REQUIRED_PROPERTY_MSG", "Please specify {property_name} for {product_name}.");
	define("PRODUCT_LIMIT_MSG", "You can't add more than {limit_quantity} items for {product_name}.");
	define("ADDED_PRODUCT_MSG", "{product_name} was added to your Shopping Cart.");
	define("REQUIRED_DELIVERY_MSG", "Please choose a delivery method.");
	define("NO_PRODUCT_MSG", "Product with this ID is not available in this category");
	define("NO_PRODUCTS_MSG", "No products were found in this category");
	define("FOUND_PRODUCTS_MSG", "We've found <b>{found_records}</b> products matching the term(s) '<b>{search_string}</b>'");
	define("PROD_DOWNLOAD_MSG", "Download");
	define("PROD_VER_MSG", "ver.");
	define("PROD_RELEASES_MSG", "{product_name} releases");
	define("PROD_CHANGES_LOG_MSG", "{product_name} changes log");
	define("CHANGES_LOG_MSG", "Changes Log");
	define("ALL_PRODUCTS_MSG", "All Products");
	define("ALL_PROD_RELEASES_MSG", "All releases");
	define("NO_PROD_RELEASES_MSG", "No releases available");
	define("NO_RELEASE_CHANGES_MSG", "No changes available");
	define("SERIAL_NUMBER_MSG", "S/N");

	define("COUPON_MSG", "Coupon");
	define("COUPON_NOT_FOUND_MSG", "No Coupon with this code was found.");
	define("COUPON_NON_ACTIVE_MSG", "This coupon is not active.");
	define("COUPON_USED_MSG", "This coupon has already been used.");
	define("COUPON_EXPIRED_MSG", "This coupon has expired.");
	define("COUPON_EXCLUSIVE_MSG", "This coupon cannot be used with the coupons that are already applied.");
	define("COUPON_APPLIED_MSG", "This coupon has already been applied.");
	define("COUPON_PRODUCTS_MSG", "Sorry, this coupon cannot be used with the products in your shopping cart.");
	define("COUPON_ORDER_AMOUNT_MSG", "Sorry, this coupon cannot be applied for your current purchase. <br>Minimum amount for this coupon is {minimum_amount}");
	define("COUPON_PROD_PRICE_MSG", "Sorry, this coupon cannot be applied for your product. <br>Minimum product price for this coupon is {minimum_amount}");
	define("COUPON_REMOVE_MSG", "Remove Coupon");
	define("COUPON_CODE_FIELD", "Coupon");

	define("CC_NAME_FIELD", "Name of Cardholder");
	define("CC_NAME_DESC", "as it appears on the card");
	define("CC_FIRST_NAME_FIELD", "First Name");
	define("CC_LAST_NAME_FIELD", "Last Name");
	define("CC_NUMBER_FIELD", "Card Number");
	define("CC_NUMBER_ERROR_MSG", "Sorry, there appears to be a problem with your credit card number - please check and try again.");
	define("CC_START_DATE_FIELD", "Start Date");
	define("CC_EXPIRY_DATE_FIELD", "Expiration Date");
	define("CC_TYPE_FIELD", "Card Type");
	define("CC_ISSUE_NUMBER_FIELD", "Issue Number");
	define("CC_ISSUE_NUMBER_DESC", "Switch & Solo cards only");
	define("CC_SECURITY_CODE_FIELD", "Security Code");
	define("CC_SECURITY_CODE_HELP_MSG", "Help?");
	define("CC_SECURITY_CODE_TITLE", "Security Code?");
	define("CC_SECURITY_CODE_1_DESC", "The card security code is a unique three digit number printed on your debit/credit card. This number is not embossed on the card and is not printed on receipts - making it difficult for anyone other than the cardholder to know it. Some card issuers refer to this number as the 'Card Security Code' others as the 'Personal Security Code' and others as 'Card Verification Value'. ");
	define("CC_SECURITY_CODE_2_DESC", "Most cards, have a three-digit number printed at the top of the signature strip on the reverse of the card.");
	define("PAY_WITHOUT_CC_MSG", "If you do not wish to pay by credit card tick here");
	define("PAY_WITHOUT_CC_FIELD", "Other Payment Information");
	define("PAY_WITHOUT_CC_DESC", "Tell us how you wish to pay for your goods");

	define("ORDER_NUMBER_COLUMN", "No");
	define("ORDER_STATUS_COLUMN", "Status");
	define("ORDER_ADDED_COLUMN", "Order placed");
	define("ORDER_TOTAL_COLUMN", "Total");

	define("ORDER_NUMBER_MSG", "Order No");
	define("ORDER_DATE_MSG", "Order Date");
	define("ORDER_TOTAL_MSG", "TOTAL");
	define("INVOICE_TO_MSG", "Invoice to");
	define("DELIVERY_TO_MSG", "Delivery to");
	define("PAYMENT_GATEWAY_MSG", "Payment Gateway");
	define("SELECT_PAYMENT_MSG", "Please select preferred Payment Gateway");
	define("GOTO_PAYMENT_MSG", "Now you will be redirected to {payment_system}. If nothing happens please click '{button_name}' button to proceed.");
	define("MY_ORDERS_MSG", "My Orders");
	define("MY_ORDERS_DESC", "Once you have placed your order with us you will be able to track the status of your order and review the order details.");
	define("PURCHASED_ORDERS_MSG", "Purchased Orders");
	define("NO_ORDERS_MSG", "No orders were found");
	define("VIEW_ORDER_DETAILS_MSG", "View Details");
	define("ORDER_DETAILS_MSG", "Order Details");
	define("PAYMENT_DETAILS_MSG", "Payment Details");
	define("CHECKOUT_SUCCESS_TITLE", "Your order was successfully submitted!");
	define("CHECKOUT_SUCCESS_MSG", "Thank you for your order. Your reference number is {order_id}!");
	define("CHECKOUT_PENDING_TITLE", "Your order is pending...");
	define("CHECKOUT_PENDING_MSG", "Your transaction wasn't finished and is waiting for approval.");
	define("CHECKOUT_ERROR_TITLE", "Order Error");
	define("CHECKOUT_ERROR_MSG", "An error occurred while processing your order. We are sorry for any inconvenience caused.");
	define("ORDER_CODE_ERROR", "Verification parameter has wrong value.");
	define("ORDER_PLACED_ERROR", "<b>Order</b> was already placed.");
	define("ORDER_EXISTS_ERROR", "Such <b>Order</b> doesn't exist.");
	define("ORDER_NOTES_MSG", "Order Notes");
	define("ORDER_NOTE_MSG", "Order Note");
	define("CANCEL_ORDER_MSG", "Cancel Order");
	define("CANCEL_ORDER_CONFIRM_MSG", "Are you sure you want cancel this order?");

?>
